Package org.biojava.utils.bytecode

# Class ConstantPool

java.lang.Object
org.biojava.utils.bytecode.ConstantPool

public class ConstantPool extends Object
Build a Java class file constant pool.

Author:
  Thomas Down, Matthew Pocock

## Constructor Summary

Constructors
Constructor
Description
`ConstantPool()`

## Method Summary

Modifier and Type
Method
Description
`int`
`constantPoolSize()`
`int`
`resolveClass(CodeClass c)`
`int`
`resolveDouble(double d)`
`int`
`resolveField(CodeField f)`
`int`
`resolveFloat(float f)`
`int`
`resolveInt(int i)`
`int`
`resolveInterfaceMethod(CodeMethod m)`
`int`
`resolveLong(long l)`
`int`
`resolveMethod(CodeMethod m)`
`int`
`resolveNameAndType(String name, String desc)`
`int`
`resolveString(String s)`
`int`
`resolveUtf8(String s)`
`void`
`writeConstantPool(DataOutput d)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstantPool

public ConstantPool()

## Method Details

### resolveClass

public int resolveClass(CodeClass c)

### resolveField

public int resolveField(CodeField f)

### resolveMethod

public int resolveMethod(CodeMethod m)

### resolveInterfaceMethod

public int resolveInterfaceMethod(CodeMethod m)

### resolveString

public int resolveString(String s)

### resolveInt

public int resolveInt(int i)

### resolveFloat

public int resolveFloat(float f)

### resolveLong

public int resolveLong(long l)

### resolveDouble

public int resolveDouble(double d)

### resolveUtf8

public int resolveUtf8(String s)

### resolveNameAndType

public int resolveNameAndType(String name, String desc)

### constantPoolSize

public int constantPoolSize()

### writeConstantPool

public void writeConstantPool(DataOutput d) throws IOException

Throws:
  `IOException`